; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License Version 3.
; This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
; See the attached file or the link below.
; http://www.gnu.org/licenses/gpl-3.0.html
;
; Copyright (C) 2008 鉄(Tetsu) Mail : web@ironsand.net , Webpage : http://gimp.sblo.jp/ (lang:jp)
;
; 2009/03/15 save each layers as patterns
(define (script-fu-fe-layers-to-patterns img drawable dir)
        (map (lambda (layer)
               (let* ((basename (remove-extension (car (gimp-drawable-get-name layer))))
                     (filename (concat dir "/" basename ".pat")))
                 (file-pat-save 1 img layer filename basename basename)))
             (vector->list (cadr (gimp-image-get-layers img)))))
;; スクリプトの登録
(script-fu-register
 "script-fu-fe-layers-to-patterns"
 "<Image>/File/Save layers as patterns"
 "layers to patterns"
 "tetsu" ; 作者
 "tetsu" ; 著作権者
 "2009/03"
 ""
 SF-IMAGE   "Image" 0
 SF-DRAWABLE   "Drawable" 0
 SF-DIRNAME "Directory" "MyPicture_"
 )
